MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030135Open CASCADE[OCCT] OCCT:Visualizationpublic2018-09-12 14:522018-09-15 17:15
Reporterski 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030135: Visualization, TKOpenGl - frame statistics do not include information about instanced structures
DescriptionOpenGl_FrameStats class does not collect information about instanced OpenGL structures during (see method updateStructures(...))

Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vsetdispmode 1
vrenderparams -perfcounters extra -perfUpdateInterval 0
vdisplay b
vfit
# OK, 12 triangles

vclear
vconnect b1 0 0 0 b
vconnect b2 2 0 0 b
# KO, 0 triangles
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029346closedbugmaster Visualization, TKOpenGl - collect frame statistics 

-  Notes
(0079176)
git (administrator)
2018-09-13 17:37

Branch CR30135 has been created by kgv.

SHA-1: e521732366b1dcaac6fe89710ad86bcb0f7cfef8


Detailed log of new commits:

Author: kgv
Date: Thu Sep 13 17:34:08 2018 +0300

    0030135: Visualization, TKOpenGl - frame statistics do not include information about instanced structures
    
    OpenGl_FrameStats now takes into account OpenGl_Structure::InstancedStructure().
    OpenGl_View::renderStructs() - fixed resetting non-culled structure counters.
(0079182)
kgv (developer)
2018-09-13 21:57

Please take the patch.

http://jenkins-test-12.nnov.opencascade.com/view/CR30135-CR30135-KGV [^]
(0079184)
bugmaster (administrator)
2018-09-14 10:52

Combination -
OCCT branch : CR30135 SHA - e521732366b1dcaac6fe89710ad86bcb0f7cfef8
Products branch : CR30135 SHA - 93045ac08e040a7db1fc1afa18f594b48127f919
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17459.159999999774 / 17645.18999999985 [-1.05%]
Products
Total CPU difference: 7476.030000000052 / 7452.260000000036 [+0.32%]
Windows-64-VC14:
OCCT
Total CPU difference: 17527.35195409859 / 17465.887560098538 [+0.35%]
Products
Total CPU difference: 8348.97071869999 / 8295.91477859999 [+0.64%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 0de16e29
Timestamp: 2018-09-13 14:34:08
Author: kgv
Committer: apn
Details ] Diff ]
0030135: Visualization, TKOpenGl - frame statistics do not include information about instanced structures

OpenGl_FrameStats now takes into account OpenGl_Structure::InstancedStructure().
OpenGl_View::renderStructs() - fixed resetting non-culled structure counters.
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-12 14:52 ski New Issue
2018-09-12 14:52 ski Assigned To => kgv
2018-09-12 14:55 kgv Relationship added child of 0029346
2018-09-12 14:55 kgv Product Version => 7.3.0
2018-09-12 17:39 kgv Steps to Reproduce Updated View Revisions
2018-09-13 17:37 git Note Added: 0079176
2018-09-13 21:57 kgv Note Added: 0079182
2018-09-13 21:57 kgv Assigned To kgv => bugmaster
2018-09-13 21:57 kgv Severity minor => trivial
2018-09-13 21:57 kgv Status new => resolved
2018-09-13 21:57 kgv Status resolved => reviewed
2018-09-14 10:52 bugmaster Note Added: 0079184
2018-09-14 10:52 bugmaster Status reviewed => tested
2018-09-15 17:11 apn Changeset attached => occt master 0de16e29
2018-09-15 17:11 apn Assigned To bugmaster => apn
2018-09-15 17:11 apn Status tested => verified
2018-09-15 17:11 apn Resolution open => fixed
2018-09-15 17:15 apn Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker